Loading...
Searching...
No Matches
openshot::PacketStatus Struct Reference

This struct holds the packet counts and end-of-file detection for an openshot::FFmpegReader. More...

`#include <FFmpegReader.h>`

## Public Member Functions

int64_t | packets_decoded ()
int64_t | packets_read ()
void | reset (bool eof)

## Public Attributes

int64_t | audio_decoded = 0
bool | audio_eof = true
int64_t | audio_read = 0
bool | end_of_file = true
bool | packets_eof = true
int64_t | video_decoded = 0
bool | video_eof = true
int64_t | video_read = 0

## Detailed Description

This struct holds the packet counts and end-of-file detection for an openshot::FFmpegReader.

Keeping track of each packet that is read & decoded helps ensure we process each packet before EOF is determined. For example, some packets are read async and decoded later, and tracking the counts makes it easy to continue checking for a decoded packet until it's ready.

Definition at line 47 of file FFmpegReader.h.

## Member Function Documentation

## packets_decoded()

int64_t openshot::PacketStatus::packets_decoded | ( |  | ) |

inline

Definition at line 65 of file FFmpegReader.h.

## packets_read()

int64_t openshot::PacketStatus::packets_read | ( |  | ) |

inline

Definition at line 60 of file FFmpegReader.h.

## reset()

void openshot::PacketStatus::reset | ( | bool | eof | ) |

inline

Definition at line 70 of file FFmpegReader.h.

## Member Data Documentation

## audio_decoded

int64_t openshot::PacketStatus::audio_decoded = 0

Definition at line 52 of file FFmpegReader.h.

Referenced by packets_decoded(), and reset().

## audio_eof

bool openshot::PacketStatus::audio_eof = true

Definition at line 56 of file FFmpegReader.h.

Referenced by reset().

## audio_read

int64_t openshot::PacketStatus::audio_read = 0

Definition at line 51 of file FFmpegReader.h.

Referenced by packets_read(), and reset().

## end_of_file

bool openshot::PacketStatus::end_of_file = true

Definition at line 58 of file FFmpegReader.h.

Referenced by reset().

## packets_eof

bool openshot::PacketStatus::packets_eof = true

Definition at line 57 of file FFmpegReader.h.

Referenced by reset().

## video_decoded

int64_t openshot::PacketStatus::video_decoded = 0

Definition at line 50 of file FFmpegReader.h.

Referenced by packets_decoded(), and reset().

## video_eof

bool openshot::PacketStatus::video_eof = true

Definition at line 55 of file FFmpegReader.h.

Referenced by reset().

## video_read

int64_t openshot::PacketStatus::video_read = 0

Definition at line 49 of file FFmpegReader.h.

Referenced by packets_read(), and reset().

The documentation for this struct was generated from the following file:

- FFmpegReader.h